Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network151.0.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
151.0.0.0
Broadcast address
151.0.255.255
First usable
151.0.0.1
Last usable
151.0.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex 97000000 · Integer 2533359616 to 2533425151
Reverse DNS zone
0.151.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010111.00000000..00000000.00000000151.0.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10010111.00000000..00000000.00000000151.0.0.0
Broadcast10010111.00000000..11111111.11111111151.0.255.255
Split into smaller subnets/27

151.0.0.0/16 makes 2,048 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1151.0.0.0/27151.0.0.1 to 151.0.0.30151.0.0.3130
2151.0.0.32/27151.0.0.33 to 151.0.0.62151.0.0.6330
3151.0.0.64/27151.0.0.65 to 151.0.0.94151.0.0.9530
4151.0.0.96/27151.0.0.97 to 151.0.0.126151.0.0.12730
5151.0.0.128/27151.0.0.129 to 151.0.0.158151.0.0.15930
6151.0.0.160/27151.0.0.161 to 151.0.0.190151.0.0.19130
7151.0.0.192/27151.0.0.193 to 151.0.0.222151.0.0.22330
8151.0.0.224/27151.0.0.225 to 151.0.0.254151.0.0.25530
9151.0.1.0/27151.0.1.1 to 151.0.1.30151.0.1.3130
10151.0.1.32/27151.0.1.33 to 151.0.1.62151.0.1.6330
11151.0.1.64/27151.0.1.65 to 151.0.1.94151.0.1.9530
12151.0.1.96/27151.0.1.97 to 151.0.1.126151.0.1.12730
13151.0.1.128/27151.0.1.129 to 151.0.1.158151.0.1.15930
14151.0.1.160/27151.0.1.161 to 151.0.1.190151.0.1.19130
15151.0.1.192/27151.0.1.193 to 151.0.1.222151.0.1.22330
16151.0.1.224/27151.0.1.225 to 151.0.1.254151.0.1.25530
17151.0.2.0/27151.0.2.1 to 151.0.2.30151.0.2.3130
18151.0.2.32/27151.0.2.33 to 151.0.2.62151.0.2.6330
19151.0.2.64/27151.0.2.65 to 151.0.2.94151.0.2.9530
20151.0.2.96/27151.0.2.97 to 151.0.2.126151.0.2.12730
21151.0.2.128/27151.0.2.129 to 151.0.2.158151.0.2.15930
22151.0.2.160/27151.0.2.161 to 151.0.2.190151.0.2.19130
23151.0.2.192/27151.0.2.193 to 151.0.2.222151.0.2.22330
24151.0.2.224/27151.0.2.225 to 151.0.2.254151.0.2.25530
25151.0.3.0/27151.0.3.1 to 151.0.3.30151.0.3.3130
26151.0.3.32/27151.0.3.33 to 151.0.3.62151.0.3.6330
27151.0.3.64/27151.0.3.65 to 151.0.3.94151.0.3.9530
28151.0.3.96/27151.0.3.97 to 151.0.3.126151.0.3.12730
29151.0.3.128/27151.0.3.129 to 151.0.3.158151.0.3.15930
30151.0.3.160/27151.0.3.161 to 151.0.3.190151.0.3.19130
31151.0.3.192/27151.0.3.193 to 151.0.3.222151.0.3.22330
32151.0.3.224/27151.0.3.225 to 151.0.3.254151.0.3.25530
33151.0.4.0/27151.0.4.1 to 151.0.4.30151.0.4.3130
34151.0.4.32/27151.0.4.33 to 151.0.4.62151.0.4.6330
35151.0.4.64/27151.0.4.65 to 151.0.4.94151.0.4.9530
36151.0.4.96/27151.0.4.97 to 151.0.4.126151.0.4.12730
37151.0.4.128/27151.0.4.129 to 151.0.4.158151.0.4.15930
38151.0.4.160/27151.0.4.161 to 151.0.4.190151.0.4.19130
39151.0.4.192/27151.0.4.193 to 151.0.4.222151.0.4.22330
40151.0.4.224/27151.0.4.225 to 151.0.4.254151.0.4.25530
41151.0.5.0/27151.0.5.1 to 151.0.5.30151.0.5.3130
42151.0.5.32/27151.0.5.33 to 151.0.5.62151.0.5.6330
43151.0.5.64/27151.0.5.65 to 151.0.5.94151.0.5.9530
44151.0.5.96/27151.0.5.97 to 151.0.5.126151.0.5.12730
45151.0.5.128/27151.0.5.129 to 151.0.5.158151.0.5.15930
46151.0.5.160/27151.0.5.161 to 151.0.5.190151.0.5.19130
47151.0.5.192/27151.0.5.193 to 151.0.5.222151.0.5.22330
48151.0.5.224/27151.0.5.225 to 151.0.5.254151.0.5.25530
49151.0.6.0/27151.0.6.1 to 151.0.6.30151.0.6.3130
50151.0.6.32/27151.0.6.33 to 151.0.6.62151.0.6.6330
51151.0.6.64/27151.0.6.65 to 151.0.6.94151.0.6.9530
52151.0.6.96/27151.0.6.97 to 151.0.6.126151.0.6.12730
53151.0.6.128/27151.0.6.129 to 151.0.6.158151.0.6.15930
54151.0.6.160/27151.0.6.161 to 151.0.6.190151.0.6.19130
55151.0.6.192/27151.0.6.193 to 151.0.6.222151.0.6.22330
56151.0.6.224/27151.0.6.225 to 151.0.6.254151.0.6.25530
57151.0.7.0/27151.0.7.1 to 151.0.7.30151.0.7.3130
58151.0.7.32/27151.0.7.33 to 151.0.7.62151.0.7.6330
59151.0.7.64/27151.0.7.65 to 151.0.7.94151.0.7.9530
60151.0.7.96/27151.0.7.97 to 151.0.7.126151.0.7.12730
61151.0.7.128/27151.0.7.129 to 151.0.7.158151.0.7.15930
62151.0.7.160/27151.0.7.161 to 151.0.7.190151.0.7.19130
63151.0.7.192/27151.0.7.193 to 151.0.7.222151.0.7.22330
64151.0.7.224/27151.0.7.225 to 151.0.7.254151.0.7.25530
65151.0.8.0/27151.0.8.1 to 151.0.8.30151.0.8.3130
66151.0.8.32/27151.0.8.33 to 151.0.8.62151.0.8.6330
67151.0.8.64/27151.0.8.65 to 151.0.8.94151.0.8.9530
68151.0.8.96/27151.0.8.97 to 151.0.8.126151.0.8.12730
69151.0.8.128/27151.0.8.129 to 151.0.8.158151.0.8.15930
70151.0.8.160/27151.0.8.161 to 151.0.8.190151.0.8.19130
71151.0.8.192/27151.0.8.193 to 151.0.8.222151.0.8.22330
72151.0.8.224/27151.0.8.225 to 151.0.8.254151.0.8.25530
73151.0.9.0/27151.0.9.1 to 151.0.9.30151.0.9.3130
74151.0.9.32/27151.0.9.33 to 151.0.9.62151.0.9.6330
75151.0.9.64/27151.0.9.65 to 151.0.9.94151.0.9.9530
76151.0.9.96/27151.0.9.97 to 151.0.9.126151.0.9.12730
77151.0.9.128/27151.0.9.129 to 151.0.9.158151.0.9.15930
78151.0.9.160/27151.0.9.161 to 151.0.9.190151.0.9.19130
79151.0.9.192/27151.0.9.193 to 151.0.9.222151.0.9.22330
80151.0.9.224/27151.0.9.225 to 151.0.9.254151.0.9.25530
81151.0.10.0/27151.0.10.1 to 151.0.10.30151.0.10.3130
82151.0.10.32/27151.0.10.33 to 151.0.10.62151.0.10.6330
83151.0.10.64/27151.0.10.65 to 151.0.10.94151.0.10.9530
84151.0.10.96/27151.0.10.97 to 151.0.10.126151.0.10.12730
85151.0.10.128/27151.0.10.129 to 151.0.10.158151.0.10.15930
86151.0.10.160/27151.0.10.161 to 151.0.10.190151.0.10.19130
87151.0.10.192/27151.0.10.193 to 151.0.10.222151.0.10.22330
88151.0.10.224/27151.0.10.225 to 151.0.10.254151.0.10.25530
89151.0.11.0/27151.0.11.1 to 151.0.11.30151.0.11.3130
90151.0.11.32/27151.0.11.33 to 151.0.11.62151.0.11.6330
91151.0.11.64/27151.0.11.65 to 151.0.11.94151.0.11.9530
92151.0.11.96/27151.0.11.97 to 151.0.11.126151.0.11.12730
93151.0.11.128/27151.0.11.129 to 151.0.11.158151.0.11.15930
94151.0.11.160/27151.0.11.161 to 151.0.11.190151.0.11.19130
95151.0.11.192/27151.0.11.193 to 151.0.11.222151.0.11.22330
96151.0.11.224/27151.0.11.225 to 151.0.11.254151.0.11.25530
97151.0.12.0/27151.0.12.1 to 151.0.12.30151.0.12.3130
98151.0.12.32/27151.0.12.33 to 151.0.12.62151.0.12.6330
99151.0.12.64/27151.0.12.65 to 151.0.12.94151.0.12.9530
100151.0.12.96/27151.0.12.97 to 151.0.12.126151.0.12.12730
101151.0.12.128/27151.0.12.129 to 151.0.12.158151.0.12.15930
102151.0.12.160/27151.0.12.161 to 151.0.12.190151.0.12.19130
103151.0.12.192/27151.0.12.193 to 151.0.12.222151.0.12.22330
104151.0.12.224/27151.0.12.225 to 151.0.12.254151.0.12.25530
105151.0.13.0/27151.0.13.1 to 151.0.13.30151.0.13.3130
106151.0.13.32/27151.0.13.33 to 151.0.13.62151.0.13.6330
107151.0.13.64/27151.0.13.65 to 151.0.13.94151.0.13.9530
108151.0.13.96/27151.0.13.97 to 151.0.13.126151.0.13.12730
109151.0.13.128/27151.0.13.129 to 151.0.13.158151.0.13.15930
110151.0.13.160/27151.0.13.161 to 151.0.13.190151.0.13.19130
111151.0.13.192/27151.0.13.193 to 151.0.13.222151.0.13.22330
112151.0.13.224/27151.0.13.225 to 151.0.13.254151.0.13.25530
113151.0.14.0/27151.0.14.1 to 151.0.14.30151.0.14.3130
114151.0.14.32/27151.0.14.33 to 151.0.14.62151.0.14.6330
115151.0.14.64/27151.0.14.65 to 151.0.14.94151.0.14.9530
116151.0.14.96/27151.0.14.97 to 151.0.14.126151.0.14.12730
117151.0.14.128/27151.0.14.129 to 151.0.14.158151.0.14.15930
118151.0.14.160/27151.0.14.161 to 151.0.14.190151.0.14.19130
119151.0.14.192/27151.0.14.193 to 151.0.14.222151.0.14.22330
120151.0.14.224/27151.0.14.225 to 151.0.14.254151.0.14.25530
121151.0.15.0/27151.0.15.1 to 151.0.15.30151.0.15.3130
122151.0.15.32/27151.0.15.33 to 151.0.15.62151.0.15.6330
123151.0.15.64/27151.0.15.65 to 151.0.15.94151.0.15.9530
124151.0.15.96/27151.0.15.97 to 151.0.15.126151.0.15.12730
125151.0.15.128/27151.0.15.129 to 151.0.15.158151.0.15.15930
126151.0.15.160/27151.0.15.161 to 151.0.15.190151.0.15.19130
127151.0.15.192/27151.0.15.193 to 151.0.15.222151.0.15.22330
128151.0.15.224/27151.0.15.225 to 151.0.15.254151.0.15.25530
129151.0.16.0/27151.0.16.1 to 151.0.16.30151.0.16.3130
130151.0.16.32/27151.0.16.33 to 151.0.16.62151.0.16.6330
131151.0.16.64/27151.0.16.65 to 151.0.16.94151.0.16.9530
132151.0.16.96/27151.0.16.97 to 151.0.16.126151.0.16.12730
133151.0.16.128/27151.0.16.129 to 151.0.16.158151.0.16.15930
134151.0.16.160/27151.0.16.161 to 151.0.16.190151.0.16.19130
135151.0.16.192/27151.0.16.193 to 151.0.16.222151.0.16.22330
136151.0.16.224/27151.0.16.225 to 151.0.16.254151.0.16.25530
137151.0.17.0/27151.0.17.1 to 151.0.17.30151.0.17.3130
138151.0.17.32/27151.0.17.33 to 151.0.17.62151.0.17.6330
139151.0.17.64/27151.0.17.65 to 151.0.17.94151.0.17.9530
140151.0.17.96/27151.0.17.97 to 151.0.17.126151.0.17.12730
141151.0.17.128/27151.0.17.129 to 151.0.17.158151.0.17.15930
142151.0.17.160/27151.0.17.161 to 151.0.17.190151.0.17.19130
143151.0.17.192/27151.0.17.193 to 151.0.17.222151.0.17.22330
144151.0.17.224/27151.0.17.225 to 151.0.17.254151.0.17.25530
145151.0.18.0/27151.0.18.1 to 151.0.18.30151.0.18.3130
146151.0.18.32/27151.0.18.33 to 151.0.18.62151.0.18.6330
147151.0.18.64/27151.0.18.65 to 151.0.18.94151.0.18.9530
148151.0.18.96/27151.0.18.97 to 151.0.18.126151.0.18.12730
149151.0.18.128/27151.0.18.129 to 151.0.18.158151.0.18.15930
150151.0.18.160/27151.0.18.161 to 151.0.18.190151.0.18.19130
151151.0.18.192/27151.0.18.193 to 151.0.18.222151.0.18.22330
152151.0.18.224/27151.0.18.225 to 151.0.18.254151.0.18.25530
153151.0.19.0/27151.0.19.1 to 151.0.19.30151.0.19.3130
154151.0.19.32/27151.0.19.33 to 151.0.19.62151.0.19.6330
155151.0.19.64/27151.0.19.65 to 151.0.19.94151.0.19.9530
156151.0.19.96/27151.0.19.97 to 151.0.19.126151.0.19.12730
157151.0.19.128/27151.0.19.129 to 151.0.19.158151.0.19.15930
158151.0.19.160/27151.0.19.161 to 151.0.19.190151.0.19.19130
159151.0.19.192/27151.0.19.193 to 151.0.19.222151.0.19.22330
160151.0.19.224/27151.0.19.225 to 151.0.19.254151.0.19.25530
161151.0.20.0/27151.0.20.1 to 151.0.20.30151.0.20.3130
162151.0.20.32/27151.0.20.33 to 151.0.20.62151.0.20.6330
163151.0.20.64/27151.0.20.65 to 151.0.20.94151.0.20.9530
164151.0.20.96/27151.0.20.97 to 151.0.20.126151.0.20.12730
165151.0.20.128/27151.0.20.129 to 151.0.20.158151.0.20.15930
166151.0.20.160/27151.0.20.161 to 151.0.20.190151.0.20.19130
167151.0.20.192/27151.0.20.193 to 151.0.20.222151.0.20.22330
168151.0.20.224/27151.0.20.225 to 151.0.20.254151.0.20.25530
169151.0.21.0/27151.0.21.1 to 151.0.21.30151.0.21.3130
170151.0.21.32/27151.0.21.33 to 151.0.21.62151.0.21.6330
171151.0.21.64/27151.0.21.65 to 151.0.21.94151.0.21.9530
172151.0.21.96/27151.0.21.97 to 151.0.21.126151.0.21.12730
173151.0.21.128/27151.0.21.129 to 151.0.21.158151.0.21.15930
174151.0.21.160/27151.0.21.161 to 151.0.21.190151.0.21.19130
175151.0.21.192/27151.0.21.193 to 151.0.21.222151.0.21.22330
176151.0.21.224/27151.0.21.225 to 151.0.21.254151.0.21.25530
177151.0.22.0/27151.0.22.1 to 151.0.22.30151.0.22.3130
178151.0.22.32/27151.0.22.33 to 151.0.22.62151.0.22.6330
179151.0.22.64/27151.0.22.65 to 151.0.22.94151.0.22.9530
180151.0.22.96/27151.0.22.97 to 151.0.22.126151.0.22.12730
181151.0.22.128/27151.0.22.129 to 151.0.22.158151.0.22.15930
182151.0.22.160/27151.0.22.161 to 151.0.22.190151.0.22.19130
183151.0.22.192/27151.0.22.193 to 151.0.22.222151.0.22.22330
184151.0.22.224/27151.0.22.225 to 151.0.22.254151.0.22.25530
185151.0.23.0/27151.0.23.1 to 151.0.23.30151.0.23.3130
186151.0.23.32/27151.0.23.33 to 151.0.23.62151.0.23.6330
187151.0.23.64/27151.0.23.65 to 151.0.23.94151.0.23.9530
188151.0.23.96/27151.0.23.97 to 151.0.23.126151.0.23.12730
189151.0.23.128/27151.0.23.129 to 151.0.23.158151.0.23.15930
190151.0.23.160/27151.0.23.161 to 151.0.23.190151.0.23.19130
191151.0.23.192/27151.0.23.193 to 151.0.23.222151.0.23.22330
192151.0.23.224/27151.0.23.225 to 151.0.23.254151.0.23.25530
193151.0.24.0/27151.0.24.1 to 151.0.24.30151.0.24.3130
194151.0.24.32/27151.0.24.33 to 151.0.24.62151.0.24.6330
195151.0.24.64/27151.0.24.65 to 151.0.24.94151.0.24.9530
196151.0.24.96/27151.0.24.97 to 151.0.24.126151.0.24.12730
197151.0.24.128/27151.0.24.129 to 151.0.24.158151.0.24.15930
198151.0.24.160/27151.0.24.161 to 151.0.24.190151.0.24.19130
199151.0.24.192/27151.0.24.193 to 151.0.24.222151.0.24.22330
200151.0.24.224/27151.0.24.225 to 151.0.24.254151.0.24.25530
201151.0.25.0/27151.0.25.1 to 151.0.25.30151.0.25.3130
202151.0.25.32/27151.0.25.33 to 151.0.25.62151.0.25.6330
203151.0.25.64/27151.0.25.65 to 151.0.25.94151.0.25.9530
204151.0.25.96/27151.0.25.97 to 151.0.25.126151.0.25.12730
205151.0.25.128/27151.0.25.129 to 151.0.25.158151.0.25.15930
206151.0.25.160/27151.0.25.161 to 151.0.25.190151.0.25.19130
207151.0.25.192/27151.0.25.193 to 151.0.25.222151.0.25.22330
208151.0.25.224/27151.0.25.225 to 151.0.25.254151.0.25.25530
209151.0.26.0/27151.0.26.1 to 151.0.26.30151.0.26.3130
210151.0.26.32/27151.0.26.33 to 151.0.26.62151.0.26.6330
211151.0.26.64/27151.0.26.65 to 151.0.26.94151.0.26.9530
212151.0.26.96/27151.0.26.97 to 151.0.26.126151.0.26.12730
213151.0.26.128/27151.0.26.129 to 151.0.26.158151.0.26.15930
214151.0.26.160/27151.0.26.161 to 151.0.26.190151.0.26.19130
215151.0.26.192/27151.0.26.193 to 151.0.26.222151.0.26.22330
216151.0.26.224/27151.0.26.225 to 151.0.26.254151.0.26.25530
217151.0.27.0/27151.0.27.1 to 151.0.27.30151.0.27.3130
218151.0.27.32/27151.0.27.33 to 151.0.27.62151.0.27.6330
219151.0.27.64/27151.0.27.65 to 151.0.27.94151.0.27.9530
220151.0.27.96/27151.0.27.97 to 151.0.27.126151.0.27.12730
221151.0.27.128/27151.0.27.129 to 151.0.27.158151.0.27.15930
222151.0.27.160/27151.0.27.161 to 151.0.27.190151.0.27.19130
223151.0.27.192/27151.0.27.193 to 151.0.27.222151.0.27.22330
224151.0.27.224/27151.0.27.225 to 151.0.27.254151.0.27.25530
225151.0.28.0/27151.0.28.1 to 151.0.28.30151.0.28.3130
226151.0.28.32/27151.0.28.33 to 151.0.28.62151.0.28.6330
227151.0.28.64/27151.0.28.65 to 151.0.28.94151.0.28.9530
228151.0.28.96/27151.0.28.97 to 151.0.28.126151.0.28.12730
229151.0.28.128/27151.0.28.129 to 151.0.28.158151.0.28.15930
230151.0.28.160/27151.0.28.161 to 151.0.28.190151.0.28.19130
231151.0.28.192/27151.0.28.193 to 151.0.28.222151.0.28.22330
232151.0.28.224/27151.0.28.225 to 151.0.28.254151.0.28.25530
233151.0.29.0/27151.0.29.1 to 151.0.29.30151.0.29.3130
234151.0.29.32/27151.0.29.33 to 151.0.29.62151.0.29.6330
235151.0.29.64/27151.0.29.65 to 151.0.29.94151.0.29.9530
236151.0.29.96/27151.0.29.97 to 151.0.29.126151.0.29.12730
237151.0.29.128/27151.0.29.129 to 151.0.29.158151.0.29.15930
238151.0.29.160/27151.0.29.161 to 151.0.29.190151.0.29.19130
239151.0.29.192/27151.0.29.193 to 151.0.29.222151.0.29.22330
240151.0.29.224/27151.0.29.225 to 151.0.29.254151.0.29.25530
241151.0.30.0/27151.0.30.1 to 151.0.30.30151.0.30.3130
242151.0.30.32/27151.0.30.33 to 151.0.30.62151.0.30.6330
243151.0.30.64/27151.0.30.65 to 151.0.30.94151.0.30.9530
244151.0.30.96/27151.0.30.97 to 151.0.30.126151.0.30.12730
245151.0.30.128/27151.0.30.129 to 151.0.30.158151.0.30.15930
246151.0.30.160/27151.0.30.161 to 151.0.30.190151.0.30.19130
247151.0.30.192/27151.0.30.193 to 151.0.30.222151.0.30.22330
248151.0.30.224/27151.0.30.225 to 151.0.30.254151.0.30.25530
249151.0.31.0/27151.0.31.1 to 151.0.31.30151.0.31.3130
250151.0.31.32/27151.0.31.33 to 151.0.31.62151.0.31.6330
251151.0.31.64/27151.0.31.65 to 151.0.31.94151.0.31.9530
252151.0.31.96/27151.0.31.97 to 151.0.31.126151.0.31.12730
253151.0.31.128/27151.0.31.129 to 151.0.31.158151.0.31.15930
254151.0.31.160/27151.0.31.161 to 151.0.31.190151.0.31.19130
255151.0.31.192/27151.0.31.193 to 151.0.31.222151.0.31.22330
256151.0.31.224/27151.0.31.225 to 151.0.31.254151.0.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses